Memos
Auth Service

Sign In

SignIn authenticates a user with credentials and returns tokens. On success, returns an access token and sets a refresh token cookie. Supports password-based and SSO authentication methods.

POST
/api/v1/auth/signin

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/auth/signin" \  -H "Content-Type: application/json" \  -d '{}'
{  "user": {    "name": "string",    "role": "ROLE_UNSPECIFIED",    "username": "string",    "email": "string",    "displayName": "string",    "avatarUrl": "string",    "description": "string",    "password": "string",    "state": "STATE_UNSPECIFIED",    "createTime": "2019-08-24T14:15:22Z",    "updateTime": "2019-08-24T14:15:22Z"  },  "accessToken": "string",  "accessTokenExpiresAt": "2019-08-24T14:15:22Z"}